Project-I
HomeAPI Test
HomeAPI Test
  1. API Test
  • Find pet by ID
    GET
  • Add a new pet to the store
    POST
  • Update an existing pet
    PUT
  • Deletes a pet
    DELETE
  • Finds Pets by status
    GET
  1. API Test

Update an existing pet

PUT
/pet

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟠405Validation error
application/json
Body

🟢200OK
🟠404Record not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://mock.apidog.com/m1/1012399-0-default/pet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "string",
    "name": "string"
}'
Response Response Example
405 - Example 1
{}
Modified at 2025-07-23 06:56:40
Previous
Add a new pet to the store
Next
Deletes a pet
Built with